BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 02-22-2007, 10:24 PM   #1 (permalink)
New Member
 
jeoff's Avatar
 
Join Date: Feb 2007
Model: 8700
Posts: 3
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default problems loading alx on 8700

Please Login to Remove!

I used the JDE to build an alx for the FileExplorerDemo sample, but when i tried to load it into my 8700 via the App Loader, I get a message saying something like there is nothing that can be loaded. The device simulator that the JDE came w/ is the 8100. I'm guessing the alx program is being specifically built for the 8100. How do I build something for the 8700? (This just occurred to me(, not at my development machine or I'd try it out)) Or do I just need to make sure the cod file is in the same directory as the alx?

TIA,
Jeoff
Offline  
Old 02-23-2007, 05:23 AM   #2 (permalink)
Talking BlackBerry Encyclopedia
 
Skipper_Joe's Avatar
 
Join Date: Jan 2007
Location: Kharkov, Ukraine
Model: 8300
Carrier: N/A
Posts: 237
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

alx is not a program, it's just xml descriptor. And it doesn't link build to specific device models. However it can be a problem if you build your application under JDE 4.2, while your 8700 has OS 4.1.
Offline  
Old 02-25-2007, 04:52 PM   #3 (permalink)
New Member
 
jeoff's Avatar
 
Join Date: Feb 2007
Model: 8700
Posts: 3
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

How can I build something for OS 4.1?
Offline  
Old 02-26-2007, 03:39 AM   #4 (permalink)
Thumbs Must Hurt
 
Join Date: Jan 2007
Model: 8800
Carrier: Orange
Posts: 181
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Just don't use any of the 4.2 APIs (you can still use JDE 4.2). The docs mention which parts of the API are new in 4.2.
Offline  
Old 02-26-2007, 08:41 AM   #5 (permalink)
Talking BlackBerry Encyclopedia
 
Skipper_Joe's Avatar
 
Join Date: Jan 2007
Location: Kharkov, Ukraine
Model: 8300
Carrier: N/A
Posts: 237
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

just download and use JDE 4.1.

you can use Ben's advice, but keep in mind that labels "since:JDE_NUMBER" are often incorrect.
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.